cancel
Showing results for 
Search instead for 
Did you mean: 
Create a Post
Highlighted

80.10 to 80.20 Pre-Upgrade Verifier

I'm attempting to run the 80.20 pre-upgrade verification script on my 80.10 management server, but nothing appears to be happening when I execute it.  I've run the tool in the past with no issues so I am assuming there is a problem with my syntax.   

I'm running ./pre_upgrade_verifier -p $FWDIR -c R80 -t R80.20 and am not getting an output.  The help doesn't list 80.10 as a possibility for the currently installed version so I'm partially wondering if its not supported.

where the Currently installed version is one of the following:
NGX_R65 (aliases: 6.0.1.0)
R70 (aliases: R70_R70, 6.0.1.6)
R71 (aliases: R71_R71, 6.0.1.7)
R75 (aliases: R75_R75, 6.0.2.0)
R75.20 (aliases: R75.20_R75.20, 6.0.2.1)
R75.40 (aliases: R75.40_R75.40, 6.0.2.5)
R75.40VS (aliases: R75.40VS_R75.40VS, 6.0.3.0)
R76 (aliases: R76_R76, 6.0.3.5)
R77 (aliases: R77_R77, 6.0.4.0)
R80 (aliases: R80_R80, 6.0.4.8)

The file permissions for the entire upgrade pack are below

-rw-r----- 1 admin root 19141755 Jan 22 10:00 Check_Point_R80.20_Gaia_SecurePlatform_Migration_Tools.tgz
-rwxr-xr-x 1 105 80 893915 Dec 6 03:52 gtar
-rwxr-xr-x 1 105 80 241318 Dec 6 03:52 gzip
-rwxr-xr-x 1 105 80 9210256 Dec 6 03:52 ips_upgrade_tool
-rwxr-xr-x 1 105 80 4636 Dec 6 03:52 mgmt_puv.sh
-rwxr-xr-x 1 105 80 14529536 Dec 6 03:52 migrate
-rw-r--r-- 1 105 80 70783 Dec 6 03:52 migrate.conf
-rw-r--r-- 1 105 80 107 Dec 6 03:52 plugin_pack.conf
-rwxr-xr-x 1 105 80 8388116 Dec 6 03:52 plugin_upgrade_matcher
-rwxr--r-- 1 105 80 19175 Dec 6 03:52 ppidb.conf
-rwxr-xr-x 1 105 80 20965372 Dec 6 03:52 pre_upgrade_verifier
-rwxr-xr-x 1 105 80 1468920 Dec 6 03:52 puv_report_generator

11 Replies
Highlighted

Re: 80.10 to 80.20 Pre-Upgrade Verifier

Try "echo $?" straight after executing the script in case you get a non-0 exit status code.

0 Kudos
Highlighted

Re: 80.10 to 80.20 Pre-Upgrade Verifier

Thanks Nicholas, is this correct (below is my output when i ran "echo $?" after running the script)?

#./pre_upgrade_verifier -p $FWDIR -c R80 -t R80.20
# echo $?
0

0 Kudos
Highlighted

Re: 80.10 to 80.20 Pre-Upgrade Verifier

Code 0 is translated to a clean exit without any problems or issues. It basically means that your script run successfully.

I will attempt to reproduce the problem at the earliest opportunity and let you know of my findings if they are any different.

0 Kudos
Highlighted

Re: 80.10 to 80.20 Pre-Upgrade Verifier

If you are already on r80.x then preverifiyng doesn’t make much sense..

0 Kudos
Highlighted

Re: 80.10 to 80.20 Pre-Upgrade Verifier

It pre-specifies R80 to R80.20 as one of the supported pre-verification paths and the pre-verifier has been helpful in the past at identifying issues in my environment

0 Kudos

Re: 80.10 to 80.20 Pre-Upgrade Verifier

Hello, 

 

Take a look on Migrate to R80.20 TechTalk

0 Kudos
Highlighted
Copper

Re: 80.10 to 80.20 Pre-Upgrade Verifier

Hi Kevin,

 

were you able to find what was causing the issue?

0 Kudos
Highlighted
Ivory

Re: 80.10 to 80.20 Pre-Upgrade Verifier

Hi,

In case someone still thinks it's an issue, not it's not cos PUV is not supported for R80.10 upgrade to R80.20. And this is because it's not necessary. Just take your snapshot/backup and run upgrade with CPUSE.

See https://sc1.checkpoint.com/documents/R80.20_GA/WebAdminGuides/EN/CP_R80.20_Installation_and_Upgrade_...

 

HTH,

Emmanuel.

0 Kudos
Highlighted

Re: 80.10 to 80.20 Pre-Upgrade Verifier

Hi Kevin,

 

Not sure if you solved this, but Im pretty positive that reason is because you did not copy over upgrade tools from R80.20 version over to R80 and then ran the pre upgrade verifier. So, what I did was found the tools online (just search for R80.20 upgrade tools, its on CP site) and once you copy them over to R80 device (you can simply give them full permission and move them over to $FWDIR/bin/upgrade_tools?R80.20_tools and then execute below command:

./pre_upgrade_verifier -p $FWDIR -c R80 -t R80.20

Im 100% sure it will work.

 

In case it does not, let me know and Im happy to help you. Just as a reference, below is file content I received when running a tool on R77.30 vm box (file is called pre_upgrade_verification_report.txt

 

Content (not that this matters to you personally, but just to give you an idea :))

 

 

================================
Action items before upgrade:
================================


Warnings: It is recommended to resolve the following problems.
==============================================================


Title: Legacy Default Profiles are not supported
-----
* Description: The Database has Legacy Default Profiles.

They will be deleted:
Endpoint_Full_Access,
Endpoint_Helpdesk,
Endpoint_ReadOnly,
Endpoint_RemoteHelpAndMediaRecovery


Information:
============


Title: LTE Services are not supported yet
-----
* Description: Database contains LTE services that are not yet supported in R80.30

These LTE services will be deleted during the upgrade to R80.30:

Unsupported LTE services are:
gtp_v2_default
gtp_mm_v2_default
gtp_additional_v2_default

 

 

0 Kudos
Highlighted
Iron

Re: 80.10 to 80.20 Pre-Upgrade Verifier

The Pre-Upgrade Verifier can only verify a management database that is intended for upgrade to a different major version (for example, from R77.xx to R80.20).

 

 

0 Kudos
Highlighted

Re: 80.10 to 80.20 Pre-Upgrade Verifier

@RB, I removed the tread below, but I want to clarify some points.

Your statement is based on R80.30 upgrade guide, quoting: 

-------------

Using the Pre-Upgrade Verifier

Important - This applies only when you upgrade from R77.30 (or lower) version to R80.30.

We recommend that you run the Pre-Upgrade Verifier (PUV) on the source Check Point computer before you upgrade. The Pre-Upgrade Verifier analyzes compatibility of the currently installed configuration with the version, to which you upgrade. It gives a report on the actions to take before and after the upgrade.

The Pre-Upgrade Verifier can only verify a management database that is intended for upgrade to a different major version (for example, from R77.xx to R80.30).

The Pre-Upgrade Verifier runs automatically during the upgrade process. You can also run it manually.

Run this command and use the applicable syntax based on the instructions on the screen:

[Expert@HostName:0]# ./pre_upgrade_verifier -h

Note - This is required only when you upgrade from R77.30 (or lower) version to R80.30.

----------------

These statements are about DB sanity, and they should be re-written. I have already reached out to the relevant team to review and correct them.

There are two points here:

1. When it comes to DB sanity, yes, it is vitally important to run verifier and fix MGMT DB issues before a major upgrade.
2. However, your general statement (I assume, based on the upgrade guide, not your fault) is incorrect. Verifier is run anyway before the upgrade event starts, minor or major, to verify and report ANY potential issues, not just DB ones. For example, lack of space.

It is a best practice to run verifier before any upgrade, minor or major, to make sure there are no surprises. It is much more economical than to unzip the whole upgrade package.

Here is the OK message from the verifier between R80.30 and R80.40:

Screenshot 2020-03-04 at 11.11.40.png

This is a lab machine, and in the previous trial instead of that message I have had disk space error, before cleaning up. Can reproduce one for you, if you want proof 🙂

0 Kudos